Bug 243447 - astro/opencpn: Update to 5.0.0, Remove BROKEN
Summary: astro/opencpn: Update to 5.0.0, Remove BROKEN
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Tobias C. Berner
URL:
Keywords: buildisok, needs-qa
Depends on:
Blocks:
 
Reported: 2020-01-19 14:51 UTC by ml
Modified: 2020-04-12 18:52 UTC (History)
1 user (show)

See Also:
tcberner: merge-quarterly+


Attachments
SVN diff (153.43 KB, patch)
2020-01-19 14:51 UTC, ml
no flags Details | Diff
Revised SVN diff (153.42 KB, patch)
2020-01-21 11:35 UTC, ml
no flags Details | Diff
SVN diff (153.37 KB, patch)
2020-04-12 06:52 UTC, ml
ml: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ml 2020-01-19 14:51:22 UTC
Created attachment 210865 [details]
SVN diff
Comment 1 Automation User 2020-01-19 21:08:57 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/110564253
Comment 2 Tobias C. Berner freebsd_committer 2020-01-19 21:17:01 UTC
Moin moin

Instead of adding  -DBUNDLE_TCDATA=ON -DOCPN_NEW_SERIAL=OFF -DOCPN_FORCE_GTK3=ON to cmake args, you can use the helpers CMAKE_ON and CMAKE_OFF

CMAKE_ON=BUNDLE_TCDATA OPCN_FORCE_GTK3
CMAKE_OFF=OCPN_NEW_SERIAL

PREFIX in your CFLAGS like
-I${PREFIX}/include/gdk-pixbuf-2.0
should be LOCALBASE.

Followup question: does the cmake of the project not look for these, why do you need to manually add them to CLFAGS/LDFLAGS? Are you missing USES=pkgconfig?


DOCS_CMAKE_ON=	-DBUNDLE_DOCS=ON
DOCS_CMAKE_OFF=	-DBUNDLE_DOCS=OFF

can be reduced to 
DOCS_CMAKE_BOOL=BUNDLE_DOCS


mfg Tobias
Comment 3 Tobias C. Berner freebsd_committer 2020-01-19 21:19:42 UTC
%%DOCS%%%%DATADIR%%/doc/getting_started/opencpn_installation/%%CMAKE_BUILD_TYPE%%_history.html

looks like a wrong use of the CMAKE_BUILD_TYPE-sub
Comment 4 ml 2020-01-21 11:32:26 UTC
Sorry!
I create the plist automatically, checked and modified it, but this slipped through.

I'm attaching an updated svn diff.
Comment 5 ml 2020-01-21 11:35:03 UTC
Created attachment 210912 [details]
Revised SVN diff
Comment 6 ml 2020-04-12 06:51:58 UTC
(In reply to Tobias C. Berner from comment #2)

Hello.
I think I fixed most of the things you observed.

Only, I was not able to make "DOCS_CMAKE_BOOL=BUNDLE_DOCS" work.
Comment 7 ml 2020-04-12 06:52:52 UTC
Created attachment 213317 [details]
SVN diff
Comment 8 Tobias C. Berner freebsd_committer 2020-04-12 18:03:11 UTC
(In reply to ml from comment #6)
The issue with the DOC-option is, that the cmake compares this as a string, and not as a boolean :)
Comment 9 commit-hook freebsd_committer 2020-04-12 18:24:47 UTC
A commit references this bug:

Author: tcberner
Date: Sun Apr 12 18:24:18 UTC 2020
New revision: 531540
URL: https://svnweb.freebsd.org/changeset/ports/531540

Log:
  astro/opencpn: Update to 5.0.0

  PR:		243447
  Submitted by:	ml@netfence.it (maintainer)

Changes:
  head/astro/opencpn/Makefile
  head/astro/opencpn/distinfo
  head/astro/opencpn/files/patch-CMakeLists.txt
  head/astro/opencpn/files/patch-no-std
  head/astro/opencpn/files/patch-plugins_grib__pi_src_GribUIDialog.cpp
  head/astro/opencpn/files/patch-src_Osenc.cpp
  head/astro/opencpn/files/patch-src_chart1.cpp
  head/astro/opencpn/files/patch-src_crashprint.cpp
  head/astro/opencpn/files/patch-src_routemanagerdialog.cpp
  head/astro/opencpn/pkg-plist
Comment 10 Tobias C. Berner freebsd_committer 2020-04-12 18:27:50 UTC
Moin moin 

Committed, with minor modifications from my side.


mfg Tobias
Comment 11 commit-hook freebsd_committer 2020-04-12 18:41:49 UTC
A commit references this bug:

Author: tcberner
Date: Sun Apr 12 18:40:56 UTC 2020
New revision: 531542
URL: https://svnweb.freebsd.org/changeset/ports/531542

Log:
  MFH: r531540 r531541

  astro/opencpn: Update to 5.0.0

  PR:		243447
  Submitted by:	ml@netfence.it (maintainer)

  astro/opencp: remove manual man compression

  Approved by:	ports-secteam (blanket)

Changes:
_U  branches/2020Q2/
  branches/2020Q2/astro/opencpn/Makefile
  branches/2020Q2/astro/opencpn/distinfo
  branches/2020Q2/astro/opencpn/files/patch-CMakeLists.txt
  branches/2020Q2/astro/opencpn/files/patch-no-std
  branches/2020Q2/astro/opencpn/files/patch-plugins_grib__pi_src_GribUIDialog.cpp
  branches/2020Q2/astro/opencpn/files/patch-src_Osenc.cpp
  branches/2020Q2/astro/opencpn/files/patch-src_chart1.cpp
  branches/2020Q2/astro/opencpn/files/patch-src_crashprint.cpp
  branches/2020Q2/astro/opencpn/files/patch-src_routemanagerdialog.cpp
  branches/2020Q2/astro/opencpn/pkg-plist